<template lang="html">
    <div class="other-bets">
        <v-expansion-panel
          v-model="panel"
          expand
        >
        <!-- FAVORITES -->
          <v-expansion-panel-content
            v-for="(item, i) in 1"
            :key="i"
            class="head-card-text"
          >
            <template class="bg-head-card-active" v-slot:header>
              <div class="categ-live">
                  <span>
                      <v-icon class="mr-4" color="white">keyboard_arrow_down</v-icon>
                      <span class="categTitle">favorites</span>
                  </span>
                  <div class="double_arrow_left">
                      <font-awesome-icon icon="angle-double-left" />
                  </div>
              </div>
            </template>
            <v-card>
              <v-card-text class="">
                  <ul v-if="favorites.length">
                      <li v-for="(match, index) in favorites" :key="index">
                          <span class="flag">{{ match.country }}</span>
                          <span>{{ match.name }}</span>
                          <button type="button" name="removeFromFavorite" @click="removeFromFavorite($event, match, index)" >-</button>
                      </li>
                  </ul>
                  <div v-else>no favorite data</div>
              </v-card-text>
            </v-card>
          </v-expansion-panel-content>
          <!-- LIVE -->
          <v-expansion-panel-content
            v-for="(item, i) in 1"
            :key="i"
            class="live-list mt-2 mb-2"
          >
            <template v-slot:header>
              <div class="categ-live" v-for="(name, index) in names" :key="index">
                  <span>
                      <v-icon class="mr-4" color="white">keyboard_arrow_down</v-icon>
                      <span class="categTitle" > {{ name.title }} </span>
                  </span>
                  <span>
                      <span class="NumGamesAll">All {{ name.numOfGames }}</span>
                      <span class="NumGamesLive">
                          <img src="../assets/youtube_icon.jpg" alt="#"> {{ name.numOfGamesLive}}
                      </span>
                  </span>
              </div>
            </template>
            <v-card>
              <v-card-text class="card-text-bg" v-for="(game, index) in games" :key="index">
                  <!-- SPORTEVENT-FB -->
                  <v-expansion-panel-content
                    v-for="(item, i) in 1"
                    :key="i"
                    class="sport_list_item"
                  >
                    <template v-slot:header>
                        <div class="SportHeadBlock">
                              <span class="SportTitleBlock">
                                  <img :src="game.icon" alt="#" class="mr-2">
                                  <span>{{ game.title }}</span>
                              </span>
                              <span class="NumbersBlock">
                                  <span>{{ game.numOfGames }}</span>
                                  <span>{{ game.numOfGamesLive }}
                                  <img src="../assets/youtube_icon.jpg" alt="#">
                                  </span>
                              </span>
                        </div>
                    </template>
                    <v-card>
                      <v-card-text class="listGames">
                          <div>
                              <ul>
                                  <li v-for="(match, index) in game.matches" :key="index">
                                      <span>
                                          <span class="flag mr-3">{{ match.country }}</span>
                                          <span>{{ match.name }}</span>
                                      </span>
                                      <button type="button" name="addToFavorite" @click="addToFavorite($event, match, game)">+</button>
                                  </li>
                              </ul>
                          </div>
                      </v-card-text>
                    </v-card>
                  </v-expansion-panel-content>
                  <!-- SPORTEVENT-BB -->
                  <!-- SPORTEVENT-VB -->
                  <!-- SPORTEVENT-TENNIS -->
                  <!-- SPORTEVENT-GOLF -->
              </v-card-text>
            </v-card>
          </v-expansion-panel-content>
          <!-- UPCOMING EVENTS -->
          <v-expansion-panel-content
            v-for="(item, i) in 1"
            :key="i"
            class="head-card-text"
          >
            <template v-slot:header>
              <div class="categ-live">
                  <span>
                      <v-icon class="mr-4" color="white">keyboard_arrow_down</v-icon>
                      <span class="categTitle">upcoming events</span>
                  </span>
              </div>
            </template>
            <v-card>
              <v-card-text class="UpComEvent-block">
                  <ul>
                      <li><v-icon color="#d6892f">place</v-icon>events starts in under {{EventTime_under}}</li>
                      <li><v-icon color="#d6892f">place</v-icon>events starts in {{EventTime_intime}}</li>
                      <li><v-icon color="#d6892f">place</v-icon>events starts in over {{EventTime_over}}</li>
                  </ul>
                  <div class="UpComEvent mt-2 mb-2">
                      <img src="../assets/sport_event_img01.jpg" alt="#">
                      <div class="btn-box">
                          <a class="btn-bet" href="">Place a bet</a>
                      </div>
                  </div>
                  <div class="UpComEvent mt-2">
                      <img src="../assets/sport_event_img01.jpg" alt="#">
                      <div class="btn-box">
                          <a class="btn-bet" href="">Place a bet</a>
                      </div>
                  </div>
              </v-card-text>
            </v-card>
          </v-expansion-panel-content>
        </v-expansion-panel>
    </div>
</template>

<script>
export default {
    data() {
        return {
            favorites: [

            ],
            games: [
                {
                    icon: '../assets/livesport_icon00.png',
                    title: 'football',
                    numOfGames : '166',
                    numOfGamesLive: '67',
                    matches: [
                        {
                            country: 'RU',
                            name: 'FNL CUP. CYPRUS1',
                        },
                        {
                            country: 'UA',
                            name: 'FNL CUP. CYPRUSdsada5',
                        },
                        {
                            country: 'US',
                            name: 'FNL CUP. CYPRUS4dada5',
                        },
                        {
                            country: 'TR',
                            name: 'FNL CUP. CYPRUSdsf',
                        }
                    ],
                },
                {
                    icon: '../assets/livesport_icon00.png',
                    title: 'football2',
                    numOfGames : '166',
                    numOfGamesLive: '67',
                    matches: [
                        {
                            id: 1,
                            country: 'RU',
                            name: 'FNL CUP. CYPRUS1',
                        },
                        {
                            country: 'UA',
                            name: 'FNL CUP. CYPRUS5',
                        },
                        {
                            country: 'US',
                            name: 'FNL CUP. CYPRUS45',
                        },
                        {
                            country: 'TR',
                            name: 'FNL CUP. CYPRUSdsf',
                        }
                    ],
                }
            ],
            names: [
                {
                    title: 'Live',
                    numOfGames : '166',
                    numOfGamesLive: '67'
                }
            ],
        }
    },
    methods: {
        addToFavorite: function(event, match) {
            this.favorites.push(match);
            // this.favorites = this.favorites;
        },

        removeFromFavorite: function(event, match, index) {
            this.favorites.splice(index, 1);
        }
    }

}
</script>

<style lang="scss" scoped>
* {
    transition: .3s all ease;
}
    .other-bets {
        .v-card {
            background: transparent;
            .v-card__text {
                background: transparent;
                padding: 0;
            }
        }
        .head-card-text {
            color: white;
            text-transform: uppercase;
            font-weight: bold;

            border-radius: 5px;
            box-shadow: 0 0 20px -10px;
            background-image: url(../assets/bg_sport_event.jpg);
            background-size: cover;
            .v-card {
                background-color: white;
                .v-card__text {
                    padding: 15px;
                }
            }
        }
        .v-expansion-panel__container--active {
            .listGames {
                padding: 15px;
                ul {
                    padding: 0;
                    list-style: none;
                    li {
                      display: flex;
                      align-items: center;
                      justify-content: space-between;
                      border-bottom: 2px solid #dcdcdc;
                      padding: 5px 0;
                      span {
                          font-family: sans-serif;
                          color: #454545;
                          img {
                              margin-right: 10px;
                          }
                      }
                    }
                }
            }
            .head-card-text {
                background: red;
            }
            .v-expansion-panel__header {
                background: red;
                .categ-myBets {
                    transition: .3s all ease;
                    .icon {
                        transform: rotate(90deg);
                        color: orange!important;

                        transition: .3s all ease;
                    }
                }
                .categ-live {
                    display: flex;
                    align-items: center;
                    .double_arrow_left {
                        padding-right: 10px;
                    }
                    i {
                        transform: rotate(180deg);
                        font-size: 35px;
                        color: orange!important;
                    }
                }
            }
            .bg-head-card-active {
                background: red!important;
            }
            .btn-arrow-bg {
                background: #ffd596!important;

                transition: .3s all ease;
                i {
                    color: #a55d00!important;

                    transform: rotate(180deg);
                }
            }
        }
        .categ-live {
            font-size: 17px;

            padding: 0 20px;

            display: flex;
            align-items: center;
            justify-content: space-between;
            span {
                display: flex;
                align-items: center;
            }
            .NumGamesAll {
                text-transform: none;
                background-color: white;
                color: black;

                margin-right: 5px;
                padding: 2px 10px;
                border-radius: 5px;
            }
            .NumGamesLive {
                display: flex;
                align-items: center!important;
                background-color: white;
                color: black;

                padding: 2px 10px;
                border-radius: 5px;
                img {
                    height: 17px;
                    width: 20px;

                    margin-right: 5px;
                }
            }
            i {
                font-size: 35px;
            }
        }
        .live-list {
            color: white;
            text-transform: uppercase;
            font-weight: bold;

            border-radius: 5px;
            box-shadow: 0 0 20px -10px;
            background-image: url(../assets/bg_sport_event.jpg);
            background-size: cover;
            .sport_list_item {
                color: white;

                border-radius: 5px;
                border-bottom: 2px solid orange;
                background-image: url('../assets/bg_sport_list.jpg');
                background-size: cover;
                .SportHeadBlock {
                    display: flex;
                    justify-content: space-between;
                    padding: 0 20px;
                    align-items: center;
                    .NumbersBlock {
                        display: flex;
                        span {
                            padding: 1px 5px;
                            margin: 0 5px;

                            background-color: white;
                            color: black;

                            border-radius: 5px;
                            img {
                                width: 20px;
                                margin-left: 3px;
                            }
                        }
                        span:nth-child(2) {
                            display: flex;
                            align-items: center;
                        }
                    }
                }
                .v-expansion-panel__header {
                    .v-expansion-panel__header__icon {
                        display: none;
                    }
                }
                .v-card {
                    background-color: white;
                }
            }
        }
        .UpComEvent-block {
            padding: 16px 0 0 0;
            .UpComEvent {
                position: relative;
                img {
                    width: 100%;
                    border: 1px solid orange;
                }
                .btn-box {
                    position: absolute;
                    z-index: 1;
                    bottom: 0;
                    width: 100%;
                    text-align: center;
                    padding: 20px 0;
                    a {
                        color: white;
                        font-weight: bold;
                        font-size: 15bpx;
                        text-decoration: none;
                        text-transform: uppercase;

                        padding: 10px 20px;

                        background-image: url(../assets/bg_sport_event.jpg);
                        background-size: cover;
                        box-shadow: 0 10px 25px -3px red;

                        border: 2px solid red;
                        border-radius: 15px;

                        transition: .7s all ease;
                    }
                    a:hover {
                        box-shadow: 0 5px 30px 10px red;

                        transition: .7s all ease;
                    }
                }
            }
            ul {
                list-style: none;
                margin-bottom: 24px;
                li {
                    margin: 10px 0;
                    i {
                        margin-right: 10px;
                    }
                }
            }
            .UpComEvent_img_wrap {
                a {
                    img {
                        border: 1px solid #ee881a;
                        width: 100%;
                    }
                }
            }
        }
    }
</style>
